AM263Px MCU+ SDK: APIs for MCSPI DMA mode

| AM263Px MCU+ SDK 26.00.00 |

Functions
APIs for MCSPI DMA mode
APIs for SOC Specific Device Drivers » APIs for MCSPI LLD

## Introduction

This module contains APIs to program and use DMA drivers available in the SoC with MCSPI.

## Functions
int32_t | MCSPI_lld_dmaInit (MCSPI_DmaHandle mcspiDmaHandle)
| API to open an MCSPI DMA channel. More...
int32_t | MCSPI_lld_dmaDeInit (MCSPILLD_Handle hMcspi, const MCSPI_ChConfig *chCfg, uint32_t chCnt)
| API to close an MCSPI DMA channel. More...
int32_t | MCSPI_lld_dmaChInit (MCSPILLD_Handle hMcspi, uint32_t chCnt)
| API to init a DMA Channel opened. More...
int32_t | MCSPI_lld_dmaTransfer (MCSPILLD_Handle hMcspi, MCSPI_ChObject *chObj, const MCSPI_Transaction *transaction)
| API to do a DMA transfer using a specific DMA driver - UDMA, EDMA etc. More...
void | MCSPI_lld_dmaStop (MCSPILLD_Handle hMcspi, MCSPI_ChObject *chObj, uint32_t chNum)
| API to Stop DMA using a specific DMA driver - UDMA, EDMA etc. More...

## Function Documentation

## ◆ MCSPI_lld_dmaInit()

int32_t MCSPI_lld_dmaInit | ( | MCSPI_DmaHandle | mcspiDmaHandle | ) |

API to open an MCSPI DMA channel.

This API will open a DMA Channel using the appropriate DMA driver callbacks and the registered via Sysconfig

Parameters

  mcspiDmaHandle | [in] MCSPILLD_Handle returned from MCSPI_open()

Returns
  Handle to the MCSPI DMA Config Object

## ◆ MCSPI_lld_dmaDeInit()

int32_t MCSPI_lld_dmaDeInit | ( | MCSPILLD_Handle | hMcspi,
|  | const MCSPI_ChConfig * | chCfg,
|  | uint32_t | chCnt
| ) |  |

API to close an MCSPI DMA channel.

This API will open a DMA Channel using the appropriate DMA driver callbacks registered via Sysconfig

Parameters

  hMcspi | [in] MCSPILLD_Handle returned from MCSPI_open()
  chCnt | [in] Channel number
  chCfg | [in] Pointer to MCSPI_ChConfig. This parameter can't be NULL

Returns
  MCSPI_STATUS_SUCCESS on success, else failure

## ◆ MCSPI_lld_dmaChInit()

int32_t MCSPI_lld_dmaChInit | ( | MCSPILLD_Handle | hMcspi,
|  | uint32_t | chCnt
| ) |  |

API to init a DMA Channel opened.

This API will open a DMA Channel using the appropriate DMA driver callbacks registered via Sysconfig

Parameters

  hMcspi | [in] MCSPILLD_Handle returned from MCSPI_open()
  chCnt | [in] Channel number

Returns
  MCSPI_STATUS_SUCCESS on success, else failure

## ◆ MCSPI_lld_dmaTransfer()

int32_t MCSPI_lld_dmaTransfer | ( | MCSPILLD_Handle | hMcspi,
|  | MCSPI_ChObject * | chObj,
|  | const MCSPI_Transaction * | transaction
| ) |  |

API to do a DMA transfer using a specific DMA driver - UDMA, EDMA etc.

Typically this callback is hidden from the end application and is implemented when a new DMA driver needs to be supported.

Parameters

  hMcspi | [in] MCSPILLD_Handle returned from MCSPI_open()
  chObj | [in] Pointer to MCSPI_ChObject. This parameter can't be NULL
  transaction | [in] Pointer to MCSPI_Transaction. This parameter can't be NULL

Returns
  MCSPI_STATUS_SUCCESS on success, else failure

## ◆ MCSPI_lld_dmaStop()

void MCSPI_lld_dmaStop | ( | MCSPILLD_Handle | hMcspi,
|  | MCSPI_ChObject * | chObj,
|  | uint32_t | chNum
| ) |  |

API to Stop DMA using a specific DMA driver - UDMA, EDMA etc.

Typically this callback is hidden from the end application and is implemented when a new DMA driver needs to be supported.

Parameters

  hMcspi | [in] MCSPILLD_Handle returned from MCSPI_open()
  chObj | [in] Pointer to MCSPI_ChObject. This parameter can't be NULL
  chNum | [in] Channel number